Bug 576838 - Review Request: glue-schema - LDAP schema files for the GLUE Schema
Summary: Review Request: glue-schema - LDAP schema files for the GLUE Schema
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 576839
TreeView+ depends on / blocked
 
Reported: 2010-03-25 12:19 UTC by Mattias Ellert
Modified: 2010-04-26 23:27 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-09 03:59:37 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2010-03-25 12:19:16 UTC
Spec URL: http://www.grid.tsl.uu.se/review/glue-schema.spec
SRPM URL: http://www.grid.tsl.uu.se/review/glue-schema-2.0.3-3.448.fc12.src.rpm

Description:
LDAP schema files for the GLUE Schema version 2.0

Comment 1 Steve Traylen 2010-03-27 22:52:15 UTC
Do you think

http://svnweb.cern.ch/guest/gridinfo/glue-schema/tags/R_2_0_3/

might be a better source repository to generate the tar ball from
since it is more obviously a release. I've not checked if they are the same.
Steve

Comment 2 Steve Traylen 2010-03-28 18:34:35 UTC
Review: glue-schema
Date:   Mar 28th 2010
Mock Build: F14-x86_64 builds.

* PASS: rpmlint output
$ rpmlint SPECS/glue-schema.spec \
          SRPMS/glue-schema-2.0.3-3.448.fc12.src.rpm \
          RPMS/noarch/glue-schema-2.0.3-3.448.fc12.noarch.rpm \
SPECS/glue-schema.spec: W: invalid-url Source0: glue-schema-2.0.3-448.tar.gz
glue-schema.src: W: invalid-url Source0: glue-schema-2.0.3-448.tar.gz
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

which is expected since source is created from svn.

* PASS: Named according to the Package Naming Guidelines.
* PASS: spec file name same as  base package %{name}.
* FAIL: Packaging Guidelines.
Add a -p to the install line.

* PASS: Approved license in .spec file.
* PASS: License on Source code.
Yes, some files are 
http://www.cnaf.infn.it/license.html which is indeed 
BSD with advertising and some are copyright only.

* PASS: Include LICENSE file or similar if it exist.
debian/copyright file included.
* PASS: Written in American English.
* PASS: Spec file legible. 
* PASS: Included source must match upstream source.
Checking out and removing the .svn files as per instructions:
diff -r --brief glue-schema-2.0.3-448 ../SPECS/glue-schema-2.0.3-448/
produces nothing.
* PASS: Build on one architecture.
* NOTCHECKED: Not building on an architecture must highlighted.
It should build anywhere.
* PASS: Build dependencies must be listed in BuildRequires.
* PASS: Handle locales properly. 
no locales.
* PASS: ldconfig must be called on shared libs.
No libs present.
* PASS: No bundled copies of system libraries.
No libs.
* PASS: Package must state why relocatable if relocatable.
Not relocatable.
* PASS: A package must own all directories that it creates
/etc/ldap and  /etc/ldap/schema are owned.
* PASS:  No duplicate files in %files listings. 
* PASS:  Permissions on files must be set properly. %defattr
* PASS:  %clean section contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* PASS:  Each package must consistently use macros.
* PASS:  The package must contain code, or permissable content.
* PASS:  Large documentation files must go in a -doc subpackage.  
None present but see comment below.
* PASS:  %doc  must not affect the runtime of the application. 
* PASS:  Header files must be in a -devel package.
None present.
* PASS:  Static libraries must be in a -static package.
None present.
* PASS:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
None present.
* PASS:  Then library files that end in .so 
         (without suffix) must go in a -devel package. 
None present.
* PASS:  devel packages must require the exact base package
None present.
* PASS:  No .la libtool archives
None present.
* PASS:  GUI apps should have %{name}.desktop file
None present.
* PASS:  No files or directories already owned by other packages. 
None present.
* PASS:  %install must run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* PASS:  All filenames in rpm packages must be valid UTF-8.

Summary:

Add a  '-p' to the install but also there is an INSTALL script even 
it is oddly named that could be used instead. Given it only contains 
this there is not lot of point in using it but given it could be with
the addition of '-p' then I leave it up to you to decide if it 
you think it makes sense.
Whatever the -p should be added somehow.

There is no documentation but given the web site has pdf representation
of the schema maybe it could be included as a second source in a doc package?
http://forge.ogf.org/sf/docman/do/listDocuments/projects.glue-wg/docman.root.published_documents
Your choice.

Comment 3 Mattias Ellert 2010-04-06 11:49:37 UTC
(In reply to comment #1)
> Do you think
> 
> http://svnweb.cern.ch/guest/gridinfo/glue-schema/tags/R_2_0_3/
> 
> might be a better source repository to generate the tar ball from
> since it is more obviously a release. I've not checked if they are the same.

For the glue-schema package the important parts, i.e. the schema files, are the same. Changes are mainly to the packaging. But since RPMs are not built from the specfile inside the tarfile anyway, those changes are not really important.

Anyway, upstream has now made a new tag (2.0.4) so I have based the new package on this one.

(In reply to comment #2)
> * FAIL: Packaging Guidelines.
> Add a -p to the install line.

Done.
 
> There is no documentation but given the web site has pdf representation
> of the schema maybe it could be included as a second source in a doc package?
> http://forge.ogf.org/sf/docman/do/listDocuments/projects.glue-wg/docman.root.published_documents
> Your choice.    

I have added the specification in a -doc subpackage.

New version:

Spec URL: http://www.grid.tsl.uu.se/review/glue-schema.spec
SRPM URL: http://www.grid.tsl.uu.se/review/glue-schema-2.0.4-1.fc12.src.rpm

Comment 4 Steve Traylen 2010-04-06 19:39:14 UTC
APPROVED.

You may want to make the glue-schema-doc package require glue-schema.
Your choice.

Steve.

Comment 5 Mattias Ellert 2010-04-07 07:17:13 UTC
Thank you for the review!

New Package CVS Request
=======================
Package Name: glue-schema
Short Description: LDAP schema files for the GLUE Schema
Owners: ellert
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC:

Comment 6 Kevin Fenzi 2010-04-08 02:44:46 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-04-08 08:37:38 UTC
glue-schema-2.0.4-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/glue-schema-2.0.4-2.el5

Comment 8 Fedora Update System 2010-04-08 08:37:40 UTC
glue-schema-2.0.4-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/glue-schema-2.0.4-2.fc12

Comment 9 Fedora Update System 2010-04-08 08:37:44 UTC
glue-schema-2.0.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/glue-schema-2.0.4-2.fc11

Comment 10 Fedora Update System 2010-04-08 08:37:44 UTC
glue-schema-2.0.4-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/glue-schema-2.0.4-2.el4

Comment 11 Fedora Update System 2010-04-08 08:39:15 UTC
glue-schema-2.0.4-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/glue-schema-2.0.4-2.fc13

Comment 12 Fedora Update System 2010-04-08 19:12:58 UTC
glue-schema-2.0.4-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glue-schema'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/glue-schema-2.0.4-2.el5

Comment 13 Fedora Update System 2010-04-08 19:13:24 UTC
glue-schema-2.0.4-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glue-schema'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/glue-schema-2.0.4-2.el4

Comment 14 Fedora Update System 2010-04-09 03:59:33 UTC
glue-schema-2.0.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-04-10 10:18:46 UTC
glue-schema-2.0.4-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-04-10 10:33:10 UTC
glue-schema-2.0.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-04-26 23:25:44 UTC
glue-schema-2.0.4-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-04-26 23:27:09 UTC
glue-schema-2.0.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.